Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.locale.converters
Class DecimalLocaleConverter

    java.lang.Object
      org.apache.commons.beanutils.locale.BaseLocaleConverter
          org.apache.commons.beanutils.locale.converters.DecimalLocaleConverter

All Implemented Interfaces:
  Converter, LocaleConverter

Direct Known Subclasses:
  BigDecimalLocaleConverter, BigIntegerLocaleConverter, ByteLocaleConverter, DoubleLocaleConverter, FloatLocaleConverter, IntegerLocaleConverter, LongLocaleConverter, ShortLocaleConverter

    public class DecimalLocaleConverter

extends BaseLocaleConverter

Standard `LocaleConverter` implementation that converts an incoming locale-sensitive String into a `java.lang.Number` object, optionally using a default value or throwing a `ConversionException` if a conversion error occurs.

Since:
  1.7
Author:
  Yauheny Mikulski, Yoav Shapira

Field Summary

Fields inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter
`locale, locPattern, pattern, useDefault`

Constructor Summary
`DecimalLocaleConverter()` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`DecimalLocaleConverter(boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`DecimalLocaleConverter(Locale locale)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`DecimalLocaleConverter(Locale locale, boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`DecimalLocaleConverter(Locale locale, String pattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`DecimalLocaleConverter(Locale locale, String pattern, boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`DecimalLocaleConverter(Object defaultValue)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`DecimalLocaleConverter(Object defaultValue, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`DecimalLocaleConverter(Object defaultValue, Locale locale)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`DecimalLocaleConverter(Object defaultValue, Locale locale, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`DecimalLocaleConverter(Object defaultValue, Locale locale, String pattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`DecimalLocaleConverter(Object defaultValue, Locale locale, String pattern, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.

Method Summary
`protected Object` | `parse(Object value, String pattern)` Convert the specified locale-sensitive input object into an output object of the specified type.

Methods inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter
`convert, convert, convert, convert`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecimalLocaleConverter

    public DecimalLocaleConverter()

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the convertion.

### DecimalLocaleConverter

    public DecimalLocaleConverter(boolean locPattern)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine.

  Parameters:
    `locPattern` - Indicate whether the pattern is localized or not

### DecimalLocaleConverter

    public DecimalLocaleConverter(Locale locale)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. An unlocalized pattern is used for the convertion.

  Parameters:
    `locale` - The locale

### DecimalLocaleConverter

    public DecimalLocaleConverter(Locale locale,
                                  boolean locPattern)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.

  Parameters:
    `locale` - The locale
    `locPattern` - Indicate whether the pattern is localized or not

### DecimalLocaleConverter

    public DecimalLocaleConverter(Locale locale,
                                  String pattern)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. An unlocalized pattern is used for the convertion.

  Parameters:
    `locale` - The locale
    `pattern` - The convertion pattern

### DecimalLocaleConverter

    public DecimalLocaleConverter(Locale locale,
                                  String pattern,
                                  boolean locPattern)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.

  Parameters:
    `locale` - The locale
    `pattern` - The convertion pattern
    `locPattern` - Indicate whether the pattern is localized or not

### DecimalLocaleConverter

    public DecimalLocaleConverter(Object defaultValue)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the convertion.

  Parameters:
    `defaultValue` - The default value to be returned

### DecimalLocaleConverter

    public DecimalLocaleConverter(Object defaultValue,
                                  boolean locPattern)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine.

  Parameters:
    `defaultValue` - The default value to be returned
    `locPattern` - Indicate whether the pattern is localized or not

### DecimalLocaleConverter

    public DecimalLocaleConverter(Object defaultValue,
                                  Locale locale)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. An unlocalized pattern is used for the convertion.

  Parameters:
    `defaultValue` - The default value to be returned
    `locale` - The locale

### DecimalLocaleConverter

    public DecimalLocaleConverter(Object defaultValue,
                                  Locale locale,
                                  boolean locPattern)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.

  Parameters:
    `defaultValue` - The default value to be returned
    `locale` - The locale
    `locPattern` - Indicate whether the pattern is localized or not

### DecimalLocaleConverter

    public DecimalLocaleConverter(Object defaultValue,
                                  Locale locale,
                                  String pattern)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. An unlocalized pattern is used for the convertion.

  Parameters:
    `defaultValue` - The default value to be returned
    `locale` - The locale
    `pattern` - The convertion pattern

### DecimalLocaleConverter

    public DecimalLocaleConverter(Object defaultValue,
                                  Locale locale,
                                  String pattern,
                                  boolean locPattern)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.

  Parameters:
    `defaultValue` - The default value to be returned
    `locale` - The locale
    `pattern` - The convertion pattern
    `locPattern` - Indicate whether the pattern is localized or not

Method Detail

### parse

    protected Object parse(Object value,
                           String pattern)
                    throws ParseException

  Convert the specified locale-sensitive input object into an output object of the specified type.

  Specified by:
    `parse` in class `BaseLocaleConverter`
  Parameters:
    `value` - The input object to be converted
    `pattern` - The pattern is used for the convertion
  Returns:
    The converted value
  Throws:
    `ConversionException` - if conversion cannot be performed successfully
    `ParseException` - if an error occurs parsing a String to a Number

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 The Apache Software Foundation. All Rights Reserved.